Bug 998873 - RDP version 4 return "X Error of failed request: BadAtom (invalid Atom parameter)" after closing remote window
RDP version 4 return "X Error of failed request: BadAtom (invalid Atom param...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rdesktop (Show other bugs)
6.5
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Ondrej Holy
Desktop QE
:
Depends On: 998868
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 05:26 EDT by Vera Budikova
Modified: 2016-07-15 05:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 998868
Environment:
Last Closed: 2016-07-15 05:44:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vera Budikova 2013-08-20 05:26:25 EDT
+++ This bug was initially created as a clone of Bug #998868 +++

Description of problem:
RDP version 4 return "X Error of failed request: BadAtom (invalid Atom parameter)" after closing remote window.

Version-Release number of selected component (if applicable):
rdesktop-1.8.0-1.fc19.x86_64
rdesktop-1.6.0-8
rdesktop-1.7.1-1.el6

How reproducible:
100% (Windows XP Professional, Windows 7, Windows 2008 Server)

Steps to Reproduce:
1. Type # rdesktop $WindowsIP -4
2. Close the remote window

Actual results:
User can access remote window based on RDP 4, but after closing following message is shown:
X Error of failed request:  BadAtom (invalid Atom parameter)
  Major opcode of failed request:  23 (X_GetSelectionOwner)
  Atom id in failed request:  0x0
  Serial number of failed request:  10217
  Current serial number in output stream:  10217

Expected results:
No warning/error message is shown.

Additional info:
Comment 1 RHEL Product and Program Management 2013-10-13 22:39:12 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.